[gentoo-user-de] Mailman läuft nicht mehr nach Upgrade

13/02/2008 - 09:00 von Wolfgang Liebich | Report spam
Hi,
Nach meinem letzten "dist-upgrade" wurde mailman auf Version 2.1.9-r3
hochgezogen. In dieser Version wurden die Mailman-Pfade von
/usr/local/mailman nach /usr/lib/mailman verschoben - jetzt geht nichts
mehr, meine ganzen alten Mailinglisten wollen nicht mehr und wie
kann ich die Archive migrieren???

Verwirrt,
Wolfgang

gentoo-user-de@lists.gentoo.org mailing list
 

Lesen sie die antworten

#1 Peter Hinse
13/02/2008 - 09:10 | Warnen spam
Wolfgang Liebich wrote:
Hi,
Nach meinem letzten "dist-upgrade" wurde mailman auf Version 2.1.9-r3
hochgezogen. In dieser Version wurden die Mailman-Pfade von
/usr/local/mailman nach /usr/lib/mailman verschoben - jetzt geht nichts
mehr, meine ganzen alten Mailinglisten wollen nicht mehr und wie
kann ich die Archive migrieren???



So sollte es gehen:

usermod -d /usr/lib64/mailman mailman
cd /var/lib/mailman
rsync -rav /usr/local/mailman/archives/* archives/
rsync -rav /usr/local/mailman/lists/* lists/
rsync -rav /usr/local/mailman/data/* data/

Anschliessend noch in Postfix den Pfad zur virtual-mailman und den
aliases anpassen, postfix restarten, mailman wieder starten und es
sollte eigentlich tun. Wenn du natürlich noch Anpassungen in templates
o.à. gemacht hast, dann musst du die auch kopieren.

Schlecht dokumentiert ist es allerdings wirklich...

Gruß,

Peter
mailing list

Ähnliche fragen